package com.syntevo.plugin.jira.transport;

import java.io.*;

/**
 * @author syntevo GmbH
 */
public final class JiraHttpsClientCertificate {

	// Fields =================================================================

	private final File keyFile;
	private final String keyPassword;

	// Setup ==================================================================

	public JiraHttpsClientCertificate(File keyFile, String keyPassword) {
		this.keyFile = keyFile;
		this.keyPassword = keyPassword;
	}

	// Accessing ==============================================================

	public File getKeyFile() {
		return keyFile;
	}

	public String getKeyPassword() {
		return keyPassword;
	}
}