package com.syntevo.plugin.mergeinfocolumn;

import javax.swing.*;

import com.syntevo.openapi.gui.table.*;
import com.syntevo.openapi.util.*;

/**
 * @author syntevo GmbH
 */
final class MergeInfoTableColumn implements ITableColumn<Object> {

	// Implemented ============================================================

	public String getColumnName() {
		return "Merge Info";
	}

	public boolean isRightAligned() {
		return false;
	}

	public String getText(Object row) {
		return MergeInfoType.internalToType(row).getName();
	}

	public Icon getIcon(Object row) {
		return null;
	}

	public int compare(Object row1, Object row2) {
		return CompareUtils.compare(MergeInfoType.internalToType(row1).getValue(), MergeInfoType.internalToType(row2).getValue());
	}
}
